YUI Flash Component Documentation |
Class SeriesSerializer

Package | com.yahoo.yui.charts
Class | public class SeriesSerializer

Public Methods

| Method | Defined by
--- | --- | ---
|  | readSeries(input:Object, series:ISeries = null):ISeries [static] | SeriesSerializer
|  | seriesTypeToShortName(type:Class):String [static] | SeriesSerializer
|  | shortNameToSeriesType(name:String):Class [static] | SeriesSerializer
|  | writeSeries(input:ISeries):Object [static] | SeriesSerializer

Method detail

readSeries | () | method

`public static function readSeries(input:Object, series:ISeries = null):ISeries` Parameters

| `input:Object`
| `series:ISeries` (default = `null`)``

Returns

| `ISeries`

seriesTypeToShortName | () | method |

`public static function seriesTypeToShortName(type:Class):String` Parameters

| `type:Class`

Returns

| `String`

shortNameToSeriesType | () | method |

`public static function shortNameToSeriesType(name:String):Class` Parameters

| `name:String`

Returns

| `Class`

writeSeries | () | method |

`public static function writeSeries(input:ISeries):Object` Parameters

| `input:ISeries`

Returns

| `Object`